Page MenuHomePhabricator

[sanitizer] Remove empty Symbolizer PrepareForSandboxing
ClosedPublic

Authored by cryptoad on Mar 27 2018, 1:37 PM.

Details

Summary

Symbolizer::PrepareForSandboxing is empty for all platforms and apparently
has been for a while (D10213). Remove it, and shuffle things around so that the
platform specific code is now in PlatformPrepareForSandboxing.

This allows to have one less symbolizer dependency in a common file, which
helps for the upcoming split.

Also remove SymbolizerPrepareForSandboxing in tsan_go which appears to not
be used anywhere.

Diff Detail

Event Timeline

cryptoad created this revision.Mar 27 2018, 1:37 PM
Herald added subscribers: Restricted Project, delcypher, kubamracek. · View Herald TranscriptMar 27 2018, 1:37 PM

lgtm but I'm not authoritative.

cryptoad updated this revision to Diff 140078.Mar 28 2018, 8:16 AM

Directly call PlatformPrepareForSandboxing from
__sanitizer_sandbox_on_notify instead of using an intermediate static
PrepareForSandboxing.

Anyone else but Roland for some comments/LGTM please?

alekseyshl accepted this revision.Apr 3 2018, 10:35 AM
This revision is now accepted and ready to land.Apr 3 2018, 10:35 AM
This revision was automatically updated to reflect the committed changes.